> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get trading days for a currency pair

> Returns the next available trading days and non-trading days (including weekends) for a given source and destination currency pair.



## OpenAPI

````yaml /autogenerated/openapi/budgets.openapi.json get /trading-days
openapi: 3.1.0
info:
  title: Budgets API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /trading-days:
    get:
      tags:
        - Payments
      summary: Get trading days for a currency pair
      description: >-
        Returns the next available trading days and non-trading days (including
        weekends) for a given source and destination currency pair.
      operationId: getTradingDays
      parameters:
        - name: accountId
          in: query
          schema:
            description: The ID of the account to work with.
            type:
              - string
            example: F50091
          required: true
        - name: sourceCurrencyCode
          in: query
          schema:
            description: The currency code, in ISO-4217 format.
            type:
              - string
            pattern: ^[A-Z]{3}$
            example: USD
          required: true
        - name: destinationCurrencyCode
          in: query
          schema:
            description: The currency code, in ISO-4217 format.
            type:
              - string
            pattern: ^[A-Z]{3}$
            example: USD
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  tradingDays:
                    type:
                      - array
                    items:
                      type:
                        - string
                    description: The next available spot days
                  nonTradingDays:
                    type:
                      - object
                    properties:
                      days:
                        type:
                          - array
                        items:
                          type:
                            - string
                        description: The next unavailable trading days
                      weekendDays:
                        type:
                          - array
                        items:
                          type:
                            - string
                          enum:
                            - MONDAY
                            - TUESDAY
                            - WEDNESDAY
                            - THURSDAY
                            - FRIDAY
                            - SATURDAY
                            - SUNDAY
                        description: The weekend days
                    required:
                      - days
                      - weekendDays
                required:
                  - tradingDays
                  - nonTradingDays
                example:
                  tradingDays:
                    - string
                  nonTradingDays:
                    days:
                      - string
                    weekendDays:
                      - MONDAY
      security:
        - CommonAuth:
            - orders:create:any
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.equalsmoney.com/v2/trading-days?accountId={{accountId}}&sourceCurrencyCode={{sourceCurrencyCode}}&destinationCurrencyCode={{destinationCurrencyCode}}' \
              --header 'Authorization: <api-key>'
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````